<?php ini_set('error_reporting', 1);
ini_set('display_errors',1);

include '../common.php';
include 'logger.inc.php';

if(!empty($_POST)){
    if(isset($_POST['doOne'])) {
        Logger::log("Gjorde noe");
    }
    else {
        Logger::log("Gjorde noe annet!");
    }
}
?><!DOCTYPE html>
<html lang="no">
<head>
    <title><?=title();?></title>
    <link rel="stylesheet" href="../index.css">
    <style>
        .table th {
            padding-right: 10px;
        }
    </style>
</head>
<body>

<div class="container">
    <h1><?=title();?></h1>
    <h4><?=getNavigation();?></h4>
    <h2>Loggfunksjon</h2>

    <table class="table">
        <caption><strong>Siste 10 loggmeldinger:</strong></caption>
    <?php
    $logg = Logger::sisteMeldinger();
    foreach ($logg as $l){
        echo "<tr>";
        echo "  <th>$l[0]</th>";
        echo "  <td>$l[1]</td>";
        echo "</tr>\n";
    }
    ?>
    </table>

    <form method="post">
        <input type="submit" name="doOne" value="Gjør noe">
        <input type="submit" name="doTwo" value="Gjør noe annet">
    </form>
</div>

</body>
</html>