<?php
include '../common.php';
// Bruker samme tilkoblingsinformasjon som er brukt i Modul 6.
include '../modul6/forberedelser.php';

include 'logger.inc.php';
Logger::log("Lastet modul 8 oppgave 5");

$medlemsBildeMappe = "medlemmer/";

?><!DOCTYPE html>
<html lang="no">
<head>
    <title><?=title();?></title>
    <link rel="stylesheet" href="../index.css">
</head>
<body>

<div class="container">
    <h1><?=title();?></h1>
    <h4><?=getNavigation();?></h4>
    <h2>Medlemsliste</h2>
</div>

<div style="text-align: center; margin-bottom: 50px;">
    <?php
    // Henter medlemmer fra modul 6. (Og spør om du vil lage dem i databasen din hvis tabellen ikke finnes)
    $medlemmer = hentMedlemmer($_GET['size'] ?? 20, $_GET['page'] ?? 1);

    // Lag tabell for medlemmer
    if(!empty($medlemmer)){
        ?>
        <table class="table">
            <thead>
            <tr>
                <th>#</th>
                <th>Fornavn</th>
                <th>Etternavn</th>
            </tr>
            </thead>
            <tbody>
            <?php
            foreach ($medlemmer as $medlemID => $medlem){
                echo "<tr>\n";
                echo "    <td>".($medlem->dbid)."</td>\n";
                echo "    <td>".($medlem->fornavn ?? '')."</td>\n";
                echo "    <td>".($medlem->etternavn ?? '')."</td>\n";
                echo "    <td><a href='index8_5-velkommen.php?navn=".urlencode($medlem->fornavn." ".$medlem->etternavn)."' download><button>Last ned velkomstbrev..</button></a></td>\n";
                echo "</tr>\n";
            }
            ?>
            </tbody>
        </table>
    <?php } ?>

    <p>Merk at hvis linkene ikke fungerer så kan det hende referansen til Composer må fikses på!</p>
</div>

</body>
</html>